
QGIS Application - Bug report #13416

QGIS crashes when font size in labelling comes from unknown type

2015-09-24 09:00 AM - Saber Razmjooei

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 21465

Description

When assigning the font size from an "unknown type" in the rule-based labeling, QGIS crashes:

1- Unzip and open the attached spatialite file

2- Assign a rule based label

3- Select font size to be from FONTHEIGHT field

QGIS crashes with sef fault.

This doesn't happen with the "Show labels for this layer" option.

Associated revisions

Revision 5b0bfc62 - 2015-09-29 07:23 AM - Martin Dobias

Fix crashing rule-based labeling with data-defined properties (fixes #13416)

This code has been funded by Tuscany Region (Italy) - SITA (CIG: 63526840AE) and commissioned to Gis3W s.a.s.

History

#1 - 2015-09-24 10:43 AM - Saber Razmjooei

- Category set to Labelling

#2 - 2015-09-28 10:25 PM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"5b0bfc6238bf1e66aad9460b3456314f3ffe9df9".

Files

places.zip 803 KB 2015-09-24 Saber Razmjooei
